Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.4.1

Bug #5071 install File throws XML error
Submitted: 2005-08-11 14:53 UTC Modified: 2005-09-10 08:32 UTC
From: rscadlock at aeieng dot com Assigned: dufuz
Status: Bogus Package: File
PHP Version: 5.0.5 OS: SuSE 9.3
Roadmaps: (Not assigned)    
Subscription  


 [2005-08-11 14:53 UTC] rscadlock at aeieng dot com
Description: ------------ pear install File throws: downloading File-1.2.1.tgz ... Starting to download File-1.2.1.tgz (15,892 bytes) ......done: 15,892 bytes XML error: Undeclared entity warning at line 232 Test script: --------------- pear install File Expected result: ---------------- install OK Actual result: -------------- downloading File-1.2.1.tgz ... Starting to download File-1.2.1.tgz (15,892 bytes) ......done: 15,892 bytes XML error: Undeclared entity warning at line 232

Comments

 [2005-08-11 23:22 UTC] dufuz
Hmm odd it's a empty line, I'll remove that and do another release, please let me know if that works
 [2005-08-11 23:25 UTC] dufuz
This bug has been fixed in CVS. In case this was a documentation problem, the fix will show up at the end of next Sunday (CET) on pear.php.net. In case this was a pear.php.net website problem, the change will show up on the website in short time. Thank you for the report, and for helping us make PEAR better. Sorry remembered I have only developers status on this package, I can't release it, we have to wait on Mike to do the release.
 [2005-08-12 02:21 UTC] dufuz
Mike is right, the report is bogus, I managed to install it just fine with PEAR 1.3.5 update your PEAR version and try again. I'm not sure why I didn't spot that righ away, I'm just getting old I guess.
 [2005-08-13 22:01 UTC] webmaster at ragnarokonline dot de
I'm having the same issue under Windows (PHP 5.0.4). Even renaming the php.ini and retrying didn't help. But it works fine on our Debian root with PHP 4.4.0 installed. Maybe its an issue with PHP 5.x and/or Windows only?
 [2005-08-13 22:28 UTC] webmaster at ragnarokonline dot de
mmh, there's only one single entity in the file (Þ). In CVS it has been changed to Þ. Perhaps thats the problem?
 [2005-08-19 11:19 UTC] nuno at znunix dot com
Hi! I've just upgraded PEAR to 1.3.6 and still have the same error: # pear upgrade file downloading File-1.2.1.tgz ... Starting to download File-1.2.1.tgz (15,892 bytes) .....done: 15,892 bytes XML error: Undeclared entity warning at line 232 Running Fedora Core 4, PHP 5.0.4
 [2005-08-25 13:54 UTC] will_green at urscorp dot com
Same problem, PEAR 1.3.6, PHP 5.0.4 (XAMPP distribution), WIndows XP Pro.
 [2005-08-26 01:46 UTC] mike
Please try to install through CVS.
 [2005-08-31 13:39 UTC] grayw at mail dot montclair dot edu
I am also experiencing this same problem with Solaris 9 and Mac OS X, PHP 5.0.4, PEAR 1.3.6. Instructions for installation from CVS are here: http://pear.php.net/manual/en/installation.cvs.php Note that those instructions read: "It is NOT recommended to run a package from CVS in working environments! Because CVS versions are not regular releases, this means: # You could get no kind of help from the maintainer or anybody other. #Versions in CVS may break the upgrade mechanism of the PEAR Installer." I'm using File as a prerequisite to Horde's IMP webmail program in a production environment. Given the note on the CVS page, I'm going to hold off until a production release is made available. Any ideas on how far off the next release is? I realize that the PEAR folks are all volunteers, and I do appreciate the great work and the great software. Thanks, Bill
 [2005-08-31 18:08 UTC] judas at mailchile dot com
Same error here PEAR Version: 1.3.6 PHP Version: 5.0.3 Zend Engine Version: 2.0.3 System: Suse 9.3 downloading File-1.2.1.tgz ... Starting to download File-1.2.1.tgz (15,892 bytes) ......done: 15,892 bytes XML error: Undeclared entity warning at line 232
 [2005-09-08 08:54 UTC] alex at denti dot org
Also have the same issue with FC4, PHP 5.04 installed PEAR 1.4.0b but this didn't solve the problem. upgrade-all but still the same. Tried to download and install from downloaded file but didn't work. What to do next? Alex
 [2005-09-10 08:20 UTC] alex at denti dot org
I've followed instructions in: http://pear.php.net/bugs/bug.php?id=5113 And got it working. Add to modify the package.xml for File, Then did a package: pear package "path to the xml file" Works now. Thanks. see instructions below. [2005-08-17 11:03 UTC] andrew dot clarke at dkit dot ie As the error message suggests, this is caused by an undeclared entity in the package.xml file. In line 37, I removed the Þ entity from the maintainers name and this solved the error. [2005-08-17 11:22 UTC] andrew dot clarke at dkit dot ie As a follow up, I replaced the character entity Þ with the equivalent numeric entity Þ and this also solves the problem.
 [2005-09-10 08:32 UTC] dufuz
Or you use the just released File 1.2.2 that has been reported to work on computers that didn't install 1.2.1
 [2006-01-13 06:28 UTC] hjubin27 at yahoo dot com
Still having a similar bug with the following messages: downloading File-1.2.2.tgz ... Starting to download File-1.2.2.tgz (15,796 bytes) ......done: 15,796 bytes XML error: not well-formed (invalid token) at line 36